gcc-14 (14.3.0-14ubuntu1) resolute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Mar 2026 18:14:48 +0100

gcc-14 (14.3.0-14) unstable; urgency=medium

  * Revert: Ada: Fix finalization glitch for pools with subpools.
    Breaks the Debian gnat ABI.

 -- Matthias Klose <doko@debian.org>  Tue, 17 Mar 2026 17:46:31 +0100

gcc-14 (14.3.0-13) unstable; urgency=medium

  * Update to git 20260316 from the gcc-14 branch.
    - Fix PR target/124126 (AArch64), PR target/123285 (AArch64),
      PR target/123457 (AArch64), PR tree-optimization/124135,
      PR tree-optimization/124358, PR target/124366 (x86),
      PR target/124315 (x86), PR target/124335 (x86), PR target/124138 (x86),
      PR middle-end/124056, PR rtl-optimization/116600, PR middle-end/123386,
      PR c/101312, PR middle-end/123978, PR c++/123818, PR middle-end/122689,
      PR tree-optimization/121104, PR tree-optimization/123864,
      PR middle-end/123876, PR middle-end/123703, PR tree-optimization/123736,
      PR tree-optimization/123513, PR target/123607 (x86),
      PR target/120250, PR tree-optimization/123431, PR middle-end/111817,
      PR rtl-optimization/119291, PR rtl-optimization/121773,
      PR tree-optimization/123351, PR target/123217 (x86),
      PR target/123155 (x86), PR tree-optimization/122943,
      PR middle-end/120052, PR middle-end/120564, PR lto/122620,
      PR tree-optimization/122394, PR tree-optimization/119568,
      PR rtl-optimization/123294, PR tree-optimization/123645,
      PR tree-optimization/121776, PR ipa/122856, PR target/112400 (VAX),
      PR target/123807 (loongarch), PR middle-end/124250, PR ipa/106260,
      PR tree-optimization/117217, PR target/123624 (AArch64),
      PR target/123779 (x86), PR target/123548 (AArch64),
      PR middle-end/123887, PR middle-end/116772, PR ada/107475,
      PR ada/124285, PR ada/124226, PR middle-end/120052,
      PR middle-end/122624, PR c/105555, PR c/123365, PR c/123018,
      PR c++/120685, PR c++/123889, PR c++/123578, PR c++/123667,
      PR c++/123684, PR c++/123597, PR c++/91388, PR c++/122772,
      PR c++/122834, PR c++/121445, PR c++/120876, PR c++/123845
      PR libstdc++/114865, PR d/124026, PR fortran/106946
      PR fortran/124482, PR fortran/124450, PR lto/121588,
      PR preprocessor/105412, PR preprocessor/123273,
      PR target/124365 (AArch64), PR libstdc++/114865, PR libstdc++/124363,
      PR libstdc++/123875, PR libstdc++/122821, PR libstdc++/123991,
      PR libstdc++/124024, PR libstdc++/90192, PR libstdc++/114153.
  * Fix amdgcn-tools build dependencies for backports.
  * For backports, require binutils (>= 2.40) on riscv64.

 -- Matthias Klose <doko@debian.org>  Mon, 16 Mar 2026 06:35:34 +0100

gcc-14 (14.3.0-12ubuntu1) resolute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 11 Feb 2026 09:51:13 +0100

gcc-14 (14.3.0-12) unstable; urgency=medium

  * Update to git 20260202 from the gcc-14 branch.
    - Fix PR target/123766 (loongarch), PR target/123807 (loongarch),
      PR target/119130 (PPC), PR target/123742 (ARM),
      PR target/117575 (loongarch), PR ada/123867.
  * Add again build dependency on python3-check-jsonschema, needed for tests.

 -- Matthias Klose <doko@debian.org>  Mon, 02 Feb 2026 10:13:58 +0100

gcc-14 (14.3.0-11ubuntu1) resolute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 Jan 2026 08:01:19 +0100

gcc-14 (14.3.0-11) unstable; urgency=medium

  * Update to git 20260119 from the gcc-14 branch.
    - Fix PR target/99930 (x86), PR target/122323 (x86),
      PR target/123460 (AArch64), PR pch/14940, PR rtl-optimization/123121,
      PR target/123521 (loongarch), PR tree-optimization/123300,
      PR target/123484 (x86), PR debug/121964, PR rtl-optimization/122215,
      PR tree-optimization/122126, PR target/122867 (ARM),
      PR target/122695 (loongarch), PR lto/122515, PR tree-optimization/122408,
      PR middle-end/121581, PR target/122446 (x86),
      PR target/122097 (loongarch), PR target/122223 (ARM),
      PR target/122516 (AVR), PR target/122527 (AVR), PR target/119079 (x86),
      PR ada/123289, PR ada/123060, PR ada/123060, PR ada/123138,
      PR ada/123060, PR fortran/107968, PR fortran/122206,
      PR libstdc++/122726, PR libstdc++/122661, PR libstdc++/118681.
  * Disable sframe generation for Ubuntu 26.04 LTS.
  * For Ubuntu 26.04 LTS s390x, bump the baseline to z15.
  * Add architectureVariant to ELF_PACKAGE_METADATA.
  * Stop building multilibs for s390x. Closes: #1125357.
  * Bump standards version.
  * Build the amdgcn offload compiler using LLVM 21. Closes: #1124100.
  * Don't rely on python3-check-jsonschema for testing, still having
    unpackaged dependencies.

 -- Matthias Klose <doko@debian.org>  Mon, 19 Jan 2026 12:48:01 +0100

gcc-14 (14.3.0-10ubuntu1) resolute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
  * Update to git 20251025 from the gcc-14 branch.
    - Fix PR target/99930 (x86), PR target/122323 (x86).
  * Disable sframe generation for Ubuntu 26.04 LTS.
  * For Ubuntu 26.04 LTS s390x, bump the baseline to z15.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Oct 2025 14:02:23 +0200

gcc-14 (14.3.0-10) unstable; urgency=medium

  * Also exclude python3-check-jsonschema build dependency for x32.

 -- Matthias Klose <doko@debian.org>  Wed, 22 Oct 2025 11:49:18 +0200

gcc-14 (14.3.0-9ubuntu1) resolute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 22 Oct 2025 09:53:03 +0200

gcc-14 (14.3.0-9) unstable; urgency=medium

  * Update to git 20251022 from the gcc-14 branch.
    - Fix PR target/121599 (AArch64), PR other/118919, PR go/104290,
      PR tree-optimization/122104, PR c++/121977, PR middle-end/121828,
      PR middle-end/121453, PR tree-optimization/121870,
      PR tree-optimization/121370, PR tree-optimization/121256,
      PR tree-optimization/121059, PR tree-optimization/120944,
      PR tree-optimization/120817, PR tree-optimization/120654,
      PR tree-optimization/120358, PR tree-optimization/120357,
      PR target/122187 (AVR), PR tree-optimization/121772,
      PR target/118280 (microblaze), PR target/121749 (AArch64),
      PR ada/107536, PR ada/113536, PR analyzer/118300, PR c/122188,
      PR c/122188, PR c++/120757, PR c++/121981, PR c++/121801,
      PR fortran/121263, PR fortran/89092, PR fortran/121145,
      PR libstdc++/122322, PR libstdc++/121827, PR libstdc++/122168,
      PR libstdc++/117276.
  * Add build dependency on python3-check-jsonschema, needed for some tests.
  * Limit python3-check-jsonschema dependency to architectures which
    have rustc available. Addresses: #1118541.

 -- Matthias Klose <doko@debian.org>  Wed, 22 Oct 2025 09:42:40 +0200

gcc-14 (14.3.0-8ubuntu1) questing; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Sep 2025 13:33:59 +0200

gcc-14 (14.3.0-8) unstable; urgency=medium

  * Update to git 20250911 from the gcc-14 branch.
    - Fix PR target/81540 (AVR), PR target/49857 (AVR), PR libstdc++/120698.
  * Build again using GCC 14 (GCC 13 on m68k).
  * Re-enable running the testsuite.
  * libstdc++-dev: Fix dependency on libc, when libstdc++ is not built.

 -- Matthias Klose <doko@debian.org>  Thu, 11 Sep 2025 13:25:17 +0200

gcc-14 (14.3.0-7ubuntu1) questing; urgency=medium

  * Build again using GCC 14 (GCC 13 on m68k).
  * Re-enable running the testsuite.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 08 Sep 2025 18:02:21 +0200

gcc-14 (14.3.0-7) unstable; urgency=medium

  * Update to git 20250908 from the gcc-14 branch.
    - Fix PR libstdc++/110853, PR libstdc++/121745, PR libstdc++/121496,
      PR libstdc++/121374, PR libstdc++/121097.
    - Includes libgphobos build fixes for ppc64el and sparc64.
  * Disable sframe generation for now, until sframe-v3 (binutils 2.46) is
    released.
  * Build libgphobos on sparc64.
  * Disable LTO builds for Debian/riscv64, builders are very slow.

 -- Matthias Klose <doko@debian.org>  Mon, 08 Sep 2025 10:11:47 +0200

gcc-14 (14.3.0-6ubuntu1) questing; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 02 Sep 2025 20:17:23 +0200

gcc-14 (14.3.0-6) unstable; urgency=medium

  * Update to git 20250829 from the gcc-14 branch.
    - Fix PR tree-optimization/119085, PR tree-optimization/117423,
      PR target/121608 (AVR), PR target/121118 (AArch64),
      PR rtl-optimization/121253, PR target/121449 (AArch64),
      PR target/121542 (loongarch), PR target/121414 (AArch64),
      PR target/121294 (AArch64), PR target/121294 (AArch64),
      PR target/121208 (AArch64), PR target/120476 (loongarch),
      PR fortran/121145, PR fortran/120784.
  * Configure for the build variant on Ubuntu.
  * Enable sframe generation with binutils 2.45 on amd64 and arm64 (pass
    -Wa,--gsframe=no to disable). Enabled unless one of the options -m16,
    -m32, -mx32 or -ffreestanding is used.
  * Add three patches for newlib amdgcn:
    - Fix GCN SIMD libm bug, taken from newlib upstream.
    - amdgcn, libm: Fix infinite loop.
    - amdgcn, libm: Fix vector ilogb bugs (bug 33272).
  * Build full libgphobos on ppc64el for IEEE long double.
  * Build using GCC 13 for the libgphobos bootstrap.

 -- Matthias Klose <doko@debian.org>  Tue, 02 Sep 2025 20:31:07 +0200

gcc-14 (14.3.0-5) unstable; urgency=medium

  * Update to git 20250810 from the gcc-14 branch.
    - Fix PR target/121028 (AArch64), PR target/120427 (x86),
      PR target/121274 (x86), PR target/120427 (x86),
      PR target/121064 (loongarch), PR c++/120800, PR tree-optimization/121413,
      PR tree-optimization/121127, PR middle-end/121322, PR c/120837,
      PR c++/120620.
  * Only apply the patch for #1108322 for 32bit big-endian targets.

 -- Matthias Klose <doko@debian.org>  Sun, 10 Aug 2025 11:43:37 +0200

gcc-14 (14.3.0-4ubuntu2) questing; urgency=medium

  * Update to git 20250805 from the gcc-14 branch.
    - Fix PR target/121028 (AArch64), PR target/120427 (x86),
      PR target/121274 (x86), PR target/120427 (x86),
      PR target/121064 (loongarch), PR c++/120800.
  * Only apply the patch for #1108322 for 32bit big-endian targets.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Aug 2025 08:08:43 +0200

gcc-14 (14.3.0-4ubuntu1) questing; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 28 Jul 2025 19:13:15 +0200

gcc-14 (14.3.0-4) experimental; urgency=medium

  * Update to git 20250728 from the gcc-14 branch.
    - Fix PR target/121027 (AArch64), PR target/118891 (AArch64),
      PR tree-optimization/118891, PR tree-optimization/121131,
      PR target/120908 (x86), PR target/120624 (AArch64),
      PR tree-optimization/116674, PR middle-end/120631, PR middle-end/117811,
      PR tree-optimization/120638, PR middle-end/120547, PR c++/120577,
      PR c++/120940, PR c++/120471, PR fortran/121060, PR libstdc++/120548,
      PR libstdc++/99832.
  * Fix broken ada timespec record with -D_TIME_BITS=64 on 32-bit big-endian
    targets (John David Anglin). Closes: #1108322.

 -- Matthias Klose <doko@debian.org>  Mon, 28 Jul 2025 17:42:09 +0200

gcc-14 (14.3.0-3) experimental; urgency=medium

  * Fix applying the gcc-m68k-no-fold-mem-offsets patches.

 -- Matthias Klose <doko@debian.org>  Mon, 09 Jun 2025 15:54:41 +0200

gcc-14 (14.3.0-2) experimental; urgency=medium

  * Update to git 20250609 from the gcc-14 branch.
    - Fix PR target/119834 (S390), PR middle-end/118819,
      PR rtl-optimization/117239, PR rtl-optimization/117239,
      PR tree-optimization/117358, PR target/86772 (microblaze),
      PR c++/120123, PR c++/120161, PR fortran/85750, PR fortran/98454,
      PR target/120441 (AVR).
  * Don't default to -ffold-mem-offsets on m68k (Adrian Glaubitz).
    Closes: #1107416.

 -- Matthias Klose <doko@debian.org>  Mon, 09 Jun 2025 10:59:15 +0200

gcc-14 (14.3.0-1ubuntu1) questing; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 May 2025 14:16:01 +0200

gcc-14 (14.3.0-1) experimental; urgency=medium

  * GCC 14.3.0 release.
    - Fix PR tree-optimization/111873.
    - See also C++20 iterator support in std::vector,
      https://gcc.gnu.org/gcc-14/porting_to.html#cxx20-iterators
      https://gcc.gnu.org/gcc-15/porting_to.html#cxx20-iterators
  * Update newlib to 4.5.0.20241231.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Fri, 23 May 2025 15:44:46 +0200

gcc-14 (14.2.0-25ubuntu1) questing; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 May 2025 14:36:02 +0200

gcc-14 (14.2.0-25) experimental; urgency=medium

  * Update to git 20250517 from the gcc-14 branch (14.3 release candidate).
    - Fix PR target/118623 (x86), PR c++/118822, PR c++/116960, PR c++/119303,
      PR c++/118822, PR c++/116960, PR c++/119303, PR middle-end/118411,
      PR ipa/119852, PR tree-optimization/113197, PR c++/118822, PR c++/86769,
      PR c/112556, PR c++/113773, PR c++/118245, PR c++/116379, PR c++/117501,
      PR c++/117778, PR c++/118775, PR c++/120125, PR c++/118590,
      PR fortran/120191, PR fortran/119986, PR libfortran/120196,
      PR libstdc++/120198.
  * Disable testsuite again on Debian/alpha and riscv64 (timing out).

 -- Matthias Klose <doko@debian.org>  Sat, 17 May 2025 14:14:15 +0200

gcc-14 (14.2.0-24ubuntu1) questing; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 11 May 2025 13:33:48 +0200

gcc-14 (14.2.0-24) experimental; urgency=medium

  * Update to git 20250511 from the gcc-14 branch.
    - Fix PR tree-optimization/120156, PR target/119610 (AArch64),
      PR target/119327 (PPC), PR middle-end/118950, PR c++/106973,
      PR tree-optimization/120048, PR c++/105104, PR c++/115434,
      PR c++/110871, PR c++/110872, PR target/116827, PR target/119172,
      PR lto/113208, PR c++/116506, PR c++/116880, PR c++/98935,
      PR c++/116793, PR c++/116502, PR c++/115905, PR c++/116482,
      PR c++/113457, PR c++/110635, PR c++/102051, PR c++/109682,
      PR c++/100476, PR c++/105475, PR c++/112341, PR c++/115906,
      PR c++/115906, PR c++/111728, PR c++/115434, PR c++/110871,
      PR c++/110872, PR preprocessor/108900, PR preprocessor/116047,
      PR preprocessor/120061, PR target/116809.
  * libsanitizer: Fix build with glibc 2.42.

 -- Matthias Klose <doko@debian.org>  Sun, 11 May 2025 12:25:19 +0200

gcc-14 (14.2.0-23ubuntu1) questing; urgency=medium

  * libsanitizer: Fix build with glibc 2.42.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 May 2025 09:57:06 +0200

gcc-14 (14.2.0-23) experimental; urgency=medium

  [ Nicolas Boulenguez ]
  * Ada: revert upstream a210011c, restore libgnat hash.  Closes: #1104593.

  [ Matthias Klose ]
  * gnat: Add gnat-N-<triplet> conflicts. Closes: #1063664.

 -- Matthias Klose <doko@debian.org>  Sat, 03 May 2025 21:17:49 +0200

gcc-14 (14.2.0-22ubuntu1) questing; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 May 2025 09:57:06 +0200

gcc-14 (14.2.0-22) experimental; urgency=medium

  * Fix multilib installation for PR libstdc++/103382.

 -- Matthias Klose <doko@debian.org>  Thu, 01 May 2025 09:53:27 +0200

gcc-14 (14.2.0-21) experimental; urgency=medium

  * Stop building packages built by gcc-15.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Thu, 01 May 2025 07:11:26 +0200

gcc-14 (14.2.0-20) experimental; urgency=medium

  * Update to git 20250501 from the gcc-14 branch.
    - PR tree-optimization/119417, PR target/119450 (x86),
      PR middle-end/119204, PR middle-end/119219, PR middle-end/119204,
      PR c/119183, PR tree-optimization/118953, PR middle-end/115871,
      PR c/114870, PR tree-optimization/118915, PR target/119408 (loong),
      PR rtl-optimization/116564, PR ipa/118318, PR c++/114992,
      PR c/117145, PR c/117245, PR c/100420, PR c/119000, PR c/117806,
      PR c/116284, PR c/117391, PR c++/119150, PR c++/98533, PR c++/119123,
      PR c++/119045, PR c++/117504, PR c++/116681, PR c++/119378,
      PR c++/114292, PR c++/119316, PR c++/119233, PR c++/119194,
      PR c++/119344, PR c++/118104, PR c++/116731, PR d/117621,
      PR fortran/116706, PR libgcc/119151, PR libstdc++/112803,
      PR libstdc++/119429, PR libstdc++/115939, PR libstdc++/119135,
      PR libstdc++/112490, PR tree-optimization/119351,
      PR target/118892 (AArch64), PR tree-optimization/118924,
      PR tree-optimization/118924, PR target/119235 (S390),
      PR tree-optimization/119778, PR middle-end/119706, PR target/119549 (x86),
      PR tree-optimization/119534, PR middle-end/119808,
      PR rtl-optimization/119785, PR driver/119727, PR tree-optimization/119722,
      PR tree-optimization/119707, PR lto/119625, PR rtl-optimization/119291,
      PR target/119386 (x86), PR target/119784 (x86), PR target/119572 (RISCV),
      PR target/115258 (AArch64), PR tree-optimization/116125,
      PR target/118501 (LOONG), PR target/118501 (AArch64),
      PR target/119133 (AArch64), PR tree-optimization/119399,
      PR middle-end/113546, PR tree-optimization/117243,
      PR tree-optimization/116749, PR tree-optimization/118922, PR lto/119792,
      PR c/113688, PR c/114014, PR c/114713, PR c/117724,
      PR tree-optimization/116412, PR middle-end/111285,
      PR tree-optimization/116922, PR target/116927 (AArch64),
      PR tree-optimization/116098, PR rtl-optimization/119689,
      PR rtl-optimization/115568, PR rtl-optimization/115568,
      PR target/118601 (RISCV), PR target/116593 (RISCV),
      PR target/116591 (RISCV), PR target/117286 (RISCV),
      PR target/117483 (RISCV), PR target/116036 (RISCV),
      PR target/116111 (RISCV), PR target/116149 (RISCV),
      PR target/116240 (RISCV), PR target/116305 (RISCV),
      PR target/116086 (RISCV), PR target/116592 (RISCV),
      PR target/116693 (RISCV), PR target/117544 (RISCV),
      PR target/117878 (RISCV), PR target/117383 (RISCV),
      PR target/106544 (RISCV), PR target/118137 (RISCV),
      PR target/117682 (RISCV), PR target/118154 (RISCV),
      PR target/118182 (RISCV), PR target/118357 (RISCV),
      PR target/116308 (RISCV), PR target/116256 (RISCV),
      PR tree-optimization/119145, PR middle-end/119119,
      PR tree-optimization/119096, PR ipa/119067, PR tree-optimization/119057,
      PR lto/114501, PR ipa/111245, PR target/119383 (AArch64),
      PR debug/101533, PR middle-end/101478, PR tree-optimization/98845,
      PR tree-optimization/87984, PR middle-end/66279, PR ipa/116572,
      PR c/113688, PR c/114014, PR c/114713, PR c/117724, PR target/116550,
      PR target/119340, PR c/119582, PR c++/119807, PR c++/112288,
      PR c++/116954, PR c++/113835, PR c++/114772, PR c++/101180,
      PR c++/111075, PR c++/99214, PR c++/114525, PR c++/114970,
      PR c++/119345, PR c++/119175, PR c++/117530, PR c++/119687,
      PR c++/119574, PR c++/119652, PR c++/118629, PR c++/99546,
      PR c++/113925, PR c++/106976, PR c++/109961, PR c++/117336,
      PR c++/117849, PR c++/119387, PR c++/79786, PR c++/119383,
      PR d/119826, PR d/119817, PR d/118309, PR d/117002, PR fortran/119656,
      PR fortran/119380, PR lto/119792, PR lto/91299,
      PR libgcc/101075, PR libgcc/119796, PR preprocessor/108900,
      PR target/119408 (LOONG), PR libstdc++/104606, PR libstdc++/118083,
      PR libstdc++/118083, PR libstdc++/108760, PR libstdc++/105609,
      PR libstdc++/117121, PR libstdc++/108846, PR libstdc++/116471,
      PR libstdc++/21334, PR libstdc++/115285, PR libstdc++/115285,
      PR libstdc++/115046, PR libstdc++/112490, PR libstdc++/119671,
      PR libstdc++/101587, PR libstdc++/101587, PR libstdc++/116440,
      PR libstdc++/119593, PR libstdc++/119469, PR libstdc++/106612,
      PR libstdc++/110498, PR libstdc++/114758, PR libstdc++/117983,
      PR libstdc++/114945, PR libstdc++/116212, PR libstdc++/118699,
      PR libstdc++/101527, PR libstdc++/108487, PR target/119533 (RISCV),
      PR target/119547 (RISCV), PR ada/112958, PR c++/119981, PR c++/119378,
      PR fortran/106948.
  * Don't run the tests on the Hurd, timing out.
  * On ppc64el configure --with-long-double-format=ieee for upcoming distros.
  * Update libasan symbols file.
  * Address PR libstdc++/103382, when not building the common libs, install
    the library in the gcc_lib_dir to link against the libstdc++ from this
    GCC version.

 -- Matthias Klose <doko@debian.org>  Thu, 01 May 2025 07:06:21 +0200

gcc-14 (14.2.0-19ubuntu2) plucky; urgency=medium

  * Update to git 20250328 from the gcc-14 branch.
    - PR tree-optimization/119417, PR target/119450 (x86),
      PR middle-end/119204, PR middle-end/119219, PR middle-end/119204,
      PR c/119183, PR tree-optimization/118953, PR middle-end/115871,
      PR c/114870, PR tree-optimization/118915, PR target/119408 (loong),
      PR rtl-optimization/116564, PR ipa/118318, PR c++/114992,
      PR c/117145, PR c/117245, PR c/100420, PR c/119000, PR c/117806,
      PR c/116284, PR c/117391, PR c++/119150, PR c++/98533, PR c++/119123,
      PR c++/119045, PR c++/117504, PR c++/116681, PR c++/119378,
      PR c++/114292, PR c++/119316, PR c++/119233, PR c++/119194,
      PR c++/119344, PR c++/118104, PR c++/116731, PR d/117621,
      PR fortran/116706, PR libgcc/119151, PR libstdc++/112803,
      PR libstdc++/119429, PR libstdc++/115939, PR libstdc++/119135,
      PR libstdc++/112490.
  * Don't run the tests on the Hurd, timing out.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Mar 2025 11:50:41 +0100

gcc-14 (14.2.0-19ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 15 Mar 2025 03:20:57 +0100

gcc-14 (14.2.0-19) unstable; urgency=medium

  * Update to git 20250315 from the gcc-14 branch.
    - Fix PR ada/119265, PR c++/117512, PR c++/119134.

 -- Matthias Klose <doko@debian.org>  Sat, 15 Mar 2025 02:47:42 +0100

gcc-14 (14.2.0-18) unstable; urgency=medium

  * Update to git 20250312 from the gcc-14 branch.
    - Fix PR target/115485 (ARM), PR target/119084 (loong),
      PR rtl-optimization/118320, PR target/118942 (ARM),
      PR target/118531 (AArch64), PR tree-optimization/118976,
      PR rtl-optimization/118739, PR tree-optimization/117919,
      PR ipa/118243, PR target/116720 (RISCV), PR target/118835 (S390),
      PR jit/118780, PR tree-optimization/118717,
      PR tree-optimization/118653, PR tree-optimization/117979,
      PR tree-optimization/117119, PR tree-optimization/117113,
      PR lto/113207, PR rtl-optimization/118662, PR tree-optimization/117424,
      PR tree-optimization/116906, PR tree-optimization/115494,
      PR tree-optimization/114052, PR tree-optimization/112859,
      PR tree-optimization/112859, PR tree-optimization/115347,
      PR target/118843 (loong), PR target/118815 (x86),
      PR driver/117739, PR c++/115580, PR c++/119038, PR c++/118053,
      PR c++/118673, PR c++/118285, PR c++/118849, PR d/116961,
      PR fortran/118080, PR fortran/59252, PR jit/118780, PR modula2/118761,
      PR modula2/115112, PR modula2/118703, PR target/118844 (loong),
      PR libstdc++/119121, PR libstdc++/118811, PR libstdc++/104395,
      PR libstdc++/105258, PR libstdc++/118160, PR libstdc++/100249,
      PR libstdc++/117921, PR libstdc++/118158, PR d/119139,
      PR fortran/118640, PR fortran/109066, PR fortran/119054,
      PR fortran/103391, PR d/119112.

 -- Matthias Klose <doko@debian.org>  Wed, 12 Mar 2025 03:45:44 +0100

gcc-14 (14.2.0-17ubuntu3) plucky; urgency=medium

  * Stop building packages built from GCC 15.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 17 Feb 2025 16:57:27 +0100

gcc-14 (14.2.0-17ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Feb 2025 15:11:47 +0100

gcc-14 (14.2.0-17) unstable; urgency=medium

  * Update to git 20250212 from the gcc-14 branch.
    - Fix PR target/118561 (loongarch), PR middle-end/115913,
      PR fortran/118750, PR fortran/108434, PR fortran/108454,
      PR fortran/117434, PR fortran/110993, PR target/118685 (FreeBSD),
      PR target/118825 (x86), PR target/118813 (x86), PR target/118776 (x86),
      PR rtl-optimization/117506, PR ipa/117432, PR tree-optimization/118689,
      PR modula2/115032, PR rtl-optimization/118638,
      PR tree-optimization/118605, PR middle-end/114877,
      PR tree-optimization/118522, PR ipa/118400, PR c++/115586, PR c++/118763,
      PR c++/118661, PR c++/118655, PR c++/117827, PR d/118477.
  * Build using amdgcn-tools-19 instead of -18.

 -- Matthias Klose <doko@debian.org>  Wed, 12 Feb 2025 15:06:54 +0100

gcc-14 (14.2.0-16ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 30 Jan 2025 10:36:42 +0100

gcc-14 (14.2.0-16) unstable; urgency=medium

  * Update to git 20250130 from the gcc-14 branch.
    - Fix PR target/110901 (AArch64), PR target/113257 (AArch64),
      PR c++/118047, PR c++/118355, PR c++/117855, PR c++/107522,
      PR fortran/118683, PR libstdc++/118413, PR libstdc++/118185,
      PR libstdc++/100249.
  * Also backport force_lowpart_subreg for PR target/118501.

 -- Matthias Klose <doko@debian.org>  Thu, 30 Jan 2025 08:50:29 +0100

gcc-14 (14.2.0-15) unstable; urgency=medium

  * Update to git 20250127 from the gcc-14 branch.
    - Fix PR rtl-optimization/117186, PR target/118184 (AArch64),
      PR target/118067 (x86), PR target/118329 (AVR), PR gcov-profile/116743,
      PR c++/117153, PR c++/118509, PR c++/118049, PR c++/118255,
      PR c++/118147, PR c++/117775, PR d/114434, PR d/115249, PR d/116373,
      PR fortran/81978, PR libfortran/118571, PR libstdc++/109849,
      PR libstdc++/90389.
  * Fix nroff warnings for gcc-TOOL manpages (Bjarni Ingi Gislason).
    Closes: #1094299, #1094300, #1094302.
  * Fix PR target/118501, taken from the trunk. Closes: #1091161.

 -- Matthias Klose <doko@debian.org>  Mon, 27 Jan 2025 13:41:39 +0100

gcc-14 (14.2.0-14) unstable; urgency=medium

  * Update to git 20250115 from the gcc-14 branch.
    - Fix PR middle-end/118140, PR c++/114630.
  * Constrain the lib32<lib> conflicts to non-mips architectures.

 -- Matthias Klose <doko@debian.org>  Wed, 15 Jan 2025 20:07:48 +0100

gcc-14 (14.2.0-13ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 11 Jan 2025 10:55:49 +0100

gcc-14 (14.2.0-13) unstable; urgency=medium

  * Update to git 20250111 from the gcc-14 branch.
    - Fix PR tree-optimization/117912, PR target/114801 (ARM),
      PR middle-end/118024, PR rtl-optimization/117095, PR sanitizer/117960,
      PR rtl-optimization/113994, PR rtl-optimization/116799,
      PR middle-end/117847, PR libgomp/117851, PR target/117642, PR c/117802,
      PR middle-end/102674, PR middle-end/43374, PR tree-optimization/94589,
      PR tree-optimization/117612, PR middle-end/117458, PR middle-end/117459,
      PR tree-optimization/117439, PR tree-optimization/117439,
      PR c/117641, PR c/117745, PR c++/118060, PR c++/117925, PR c++/117925,
      PR c++/117792, PR c++/117985, PR c++/115430, PR c++/113108,
      PR c++/102594, PR c++/116369, PR c++/115657, PR c++/114854,
      PR c++/109859, PR c++/117825, PR c++/116108, PR c++/117614,
      PR c++/117317, PR c++/100358, PR c++/115008, PR fortran/106692,
      PR libstdc++/89624, PR libstdc++/108236, PR libstdc++/117962,
      PR libstdc++/109517, PR libstdc++/109976, PR libstdc++/106212,
      PR libstdc++/117966, PR libstdc++/118035, PR libstdc++/112349,
      PR libstdc++/112641, PR libstdc++/118093.

  [ Nicolas Boulenguez ]
  * Ada: remove 'Provides: gnat-V-HASH' from gnat-V (keep it in gnat-V-TARGET).

  [ Matthias Klose ]
  * Only provide the gnat-V-HASH for native compilers.
  * Enable the testsuite on alpha again.
  * Add lib32<lib> conflicts for libn32<lib> packages. Closes: #1092571.

 -- Matthias Klose <doko@debian.org>  Sat, 11 Jan 2025 10:53:08 +0100

gcc-14 (14.2.0-12ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 30 Dec 2024 12:07:19 +0100

gcc-14 (14.2.0-12) unstable; urgency=medium

  * Update to git 20241230 from the gcc-14 branch.
    - Fix PR c++/118069, PR target/114801 (ARM), PR target/117675 (ARM),
      PR fortran/117797, PR fortran/117897, PR fortran/117730,
      PR fortran/84674, PR modula2/117120.
  * Add missing build dependency on gnat [hurd-amd64] (Samuel Thibault).
    Closes: #1089930.
  * Use GCC 14 as build dependency except on m68k.
  * d/control: Add Rules-Requires-Root: binary-targets. Too late for trixie.
  * Run the testsuite in parallel again.
  * Apply proposed patch for PR modula2/118045.
  * Drop the package-metadata spec, now implemented in the linkers.
    Closes: #1090824.
  * Fix check for assembler section merging support on ARM, see binutils
    PR ld/32491.

 -- Matthias Klose <doko@debian.org>  Mon, 30 Dec 2024 11:54:30 +0100

gcc-14 (14.2.0-11ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 14 Dec 2024 10:32:41 +0100

gcc-14 (14.2.0-11) unstable; urgency=medium

  * Update to git 20241214 from the gcc-14 branch.
    - Fix PR driver/117942, PR c++/117880, PR c++/117845,
      PR target/117926 (x86), PR target/64242 (AVR), PR ada/117996,
      PR c++/117615, PR fortran/109105, PR fortran/117843,
      PR fortran/117791, PR modula2/115328, PR modula2/117948,
      PR modula2/117904, PR modula2/117660, PR modula2/117371,
      PR fortran/117819, PR fortran/117820.
  * Remove the ada-nobiarch-check patch, superseded.
  * Fix ada support on hurd-amd64 (Samuel Thibault). Closes: #1089743.
  * Rewrite the logwatch script to look at all log files.
  * Fix libphobos testsuite with sbuild's unshare backend. Closes: #1089007.

 -- Matthias Klose <doko@debian.org>  Sat, 14 Dec 2024 10:10:34 +0100

gcc-14 (14.2.0-10ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 Dec 2024 15:29:55 +0100

gcc-14 (14.2.0-10) unstable; urgency=medium

  * Update to git 20241204 from the gcc-14 branch.
    - Fix PR tree-optimization/116463, PR tree-optimization/117594,
      PR tree-optimization/117574, PR middle-end/117433,
      PR tree-optimization/117417, PR tree-optimization/117333,
      PR tree-optimization/117307, PR tree-optimization/117254,
      PR tree-optimization/117142, PR target/117105, PR target/114942,
      PR fortran/117774, PR fortran/105054, PR modula2/117371,
      PR modula2/115328, PR modula2/116918, PR modula2/117555,
      PR modula2/116181, PR modula2/116557, PR libstdc++/106676,
      PR libstdc++/117560, PR libstdc++/117822.

  [ Nicolas Boulenguez ]
  * Ada: link with libatomic on sparc and reenable sparc (as in gcc-13).
  * Ada: update PR114065 patches to v12, only keep the changes fixing bugs.

  [ Matthias Klose ]
  * Fix amdgcn-tools links for the amdgcn offload install.
  * Fix PR libgomp/117851, taken from the trunk.
  * Build-depend on git, needed for the gotools tests.
  * Don't run the libgo tests for multilibs, that cannot run.
  * Don't run the gnat and gm2 tests for multilibs, which are not built.
  * Refresh patches.
  * Bump standards version.
  * Run the tests sequentially on architectures with failing builds.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Dec 2024 12:24:10 +0100

gcc-14 (14.2.0-9ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Nov 2024 12:02:11 +0100

gcc-14 (14.2.0-9) unstable; urgency=medium

  * Update to git 20241128 from the gcc-14 branch.
    - Fix PR target/117564 (PA), PR target/117525 (PA), PR target/117408 (ARM),
      PR target/117443 (PA), PR target/116999 (AArch64),
      PR target/117045 (AArch64), PR target/116629 (AArch64),
      PR target/116371 (AArch64), PR target/117304 (x86),
      PR target/116371 (AArch64), PR tree-optimization/117398,
      PR tree-optimization/117287, PR middle-end/117354, PR target/117296,
      PR ada/117328, PR ada/113868, PR ada/113036, PR c++/117158,
      PR c++/101463, PR c++/116634, PR fortran/115700, PR fortran/115700,
      PR fortran/115070, PR fortran/115348, PR libstdc++/117520,
      PR libstdc++/117406, PR target/117562 (x86), PR target/117744 (AVR),
      PR other/116603, PR testsuite/109360, PR target/117357 (x86),
      PR target/117659 (AVR), PR middle-end/116997, PR target/117418 (x86),
      PR target/117500 (AVR), PR ada/115917, PR analyzer/115724,
      PR analyzer/111475, PR fortran/117763, PR fortran/84869,
      PR fortran/116388, PR fortran/109345, PR fortran/104819,
      PR fortran/115700, PR fortran/115700, PR fortran/115070,
      PR fortran/115348, PR fortran/79685, PR fortran/84868, PR fortran/100273,
      PR fortran/116530, PR fortran/108889, PR modula2/116378,
      PR modula2/116181, PR modula2/115823, PR modula2/116048,
      PR modula2/115957, PR modula2/115804, PR modula2/115540,
      PR modula2/115536, PR modula2/114529, PR modula2/115057,
      PR modula2/115003, PR preprocessor/117118, PR modula2/115276.
  * Update VCS attributes in the control file.
  * Add sparc to any_archs (Adrian Glaubitz).
  * Fix running the tests with exactly one dejagnu run.

 -- Matthias Klose <doko@debian.org>  Thu, 28 Nov 2024 11:50:57 +0100

gcc-14 (14.2.0-8ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Nov 2024 15:15:23 +0100

gcc-14 (14.2.0-8) unstable; urgency=medium

  * Update to git 20241102 from the gcc-14 branch.
    Fix PR target/114759 (PPC), PR jit/117275,
    PR rtl-optimization/116783 (closes: #1080974), PR target/117318 (x86),
    PR rtl-optimization/117327, PR target/116415 (PPC),
    PR middle-end/117249, PR sanitizer/117209, PR target/116953 (AVR),
    PR target/117240 (x86), PR middle-end/116891, PR middle-end/116891,
    PR tree-optimization/117104, PR tree-optimization/116982,
    PR tree-optimization/116907, PR tree-optimization/116481,
    PR tree-optimization/116290, PR middle-end/115110, PR target/117159 (x86),
    PR ada/116551, PR c/117230, PR c++/117259, PR c++/117107, PR c++/92687,
    PR c++/116929, PR fortran/84868, PR fortran/79685.
  * Re-enable rs on hurd-i386 and hurd-amd64 (Samuel Thibault).
    Closes: #1086120.
  * Add go support for hurd-amd64 (Samuel Thibault). Closes: #1086475.
  * Remove hurd-alpha references.
  * Disable the rust frontend on x32 temporarily (Adrian Glaubitz).
    Closes: #1086022.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Nov 2024 14:48:28 +0100

gcc-14 (14.2.0-7ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 19 Oct 2024 11:46:01 +0200

gcc-14 (14.2.0-7) unstable; urgency=medium

  * Update to git 20241019 from the gcc-14 branch.
    - Fix PR ipa/115815, PR target/116883 (RISCV), PR c++/116534,
      PR target/117116 (x86), PR ipa/109985, PR testsuite/116238 (AArch64),
      PR tree-optimization/117041, PR middle-end/117086,
      PR tree-optimization/116990, PR tree-optimization/116879,
      PR tree-optimization/116850, PR tree-optimization/116768,
      PR tree-optimization/116166, PR target/116921 (x86),
      PR middle-end/116899, PR middle-end/116898, PR target/116627,
      PR target/116738 (x86), PR ada/114593, PR ada/115535, PR ada/114640,
      PR ada/114636, PR c++/117054, PR c++/116476, PR c++/116424, PR c++/116678,
      PR libstdc++/90276, PR libstdc++/117085, PR libstdc++/117135,
      PR libstdc++/117094.

 -- Matthias Klose <doko@debian.org>  Sat, 19 Oct 2024 09:24:57 +0200

gcc-14 (14.2.0-6) unstable; urgency=medium

  * Update to git 20241005 from the gcc-14 branch.
    - PR target/116962 (x86), PR target/116953 (AVR),
      PR tree-optimization/116585, PR target/116839 (x86),
      PR target/115860 (S390), PR target/116237 (darwin),
      PR tree-optimization/116460, PR middle-end/115426,
      PR tree-optimization/116610, PR middle-end/116454,
      PR tree-optimization/116380, PR tree-optimization/116274,
      PR tree-optimization/116258, PR middle-end/115641, PR target/116621 (x86),
      PR ada/116430, PR c++/115361, PR c++/115987, PR c++/116418,
      PR c++/116492, PR c++/116676, PR fortran/100273, PR c++/116369,
      PR libstdc++/116857, PR libstdc++/37475, PR libstdc++/90276,
      PR libstdc++/116755, PR libstdc++/116529, PR libstdc++/116754,
      PR libstdc++/116777, PR libstdc++/108619.
  * Reapply the sparc64 bits to the gcc-as-needed patch. Closes: #1082624,

 -- Matthias Klose <doko@debian.org>  Sat, 05 Oct 2024 05:46:25 +0200

gcc-14 (14.2.0-5) unstable; urgency=medium

  * Update to git 20240915 from the gcc-14 branch.
    - Fix PR ipa/116410, PR tree-optimization/116501, PR c++/116219,
      PR target/112108 (AArch64), PR target/116512 (x86), PR c++/116567,
      PR c++/116606, PR fortran/116530, PR libstdc++/113663,
      PR libstdc++/116549, PR libstdc++/116381, PR lto/116361,
      PR target/116617 (x86), PR c++/96097, PR c++/116636, PR c++/116449,
      PR c++/116320, PR c++/116276, PR lto/116614, PR libstdc++/116159,
      PR libstdc++/116641.
  * Don't run the tests on the riscv64 buildds, timing out.
  * For offloading, require the amdgcn tools based on LLVM 19.

 -- Matthias Klose <doko@debian.org>  Sun, 15 Sep 2024 10:44:10 +0200

gcc-14 (14.2.0-4ubuntu2~24.04.1) noble; urgency=medium

  * d/p/pr118976.diff: Fix memory corruption when executing 256-bit
    Scalable Vector Extensions code on 128-bit CPUs (LP: #2101084).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Fri, 19 Dec 2025 10:36:50 +1300

gcc-14 (14.2.0-4ubuntu2~24.04) noble-proposed; urgency=medium

  * SRU: LP: #2073390: Backport GCC 14.2 to Ubuntu 24.04 LTS.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 09 Sep 2024 15:21:53 +0200

gcc-14 (14.2.0-4ubuntu2) oracular; urgency=medium

  * Update to git 20240908 from the gcc-14 branch.
    - Fix PR ipa/116410, PR tree-optimization/116501, PR c++/116219,
      PR target/112108 (AArch64), PR target/116512 (x86), PR c++/116567,
      PR c++/116606, PR fortran/116530, PR libstdc++/113663,
      PR libstdc++/116549, PR libstdc++/116381, PR lto/116361.
  * Build again gccrs on Ubuntu/i386.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 08 Sep 2024 17:50:09 +0200

gcc-14 (14.2.0-4ubuntu1) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 30 Aug 2024 12:23:25 +0200

gcc-14 (14.2.0-4) unstable; urgency=medium

  * Update to git 20240829 from the gcc-14 branch.
    - Fix PR target/116390 (AVR), PR target/116407 (AVR),
      PR c++/116384 (closes: #1078786).
  * Disable running the tests on alpha and arm64, hanging on the buildds.
  * gcc/configure.ac enables some features based on the binutils version. The
    most recently checked binutils version is 2.36 for GCC 14.  For now it is
    safe to derive the binutils runtime dependency from the binutils build
    dependency.

 -- Matthias Klose <doko@debian.org>  Fri, 30 Aug 2024 12:17:39 +0200

gcc-14 (14.2.0-3ubuntu1) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 18 Aug 2024 19:13:32 +0200

gcc-14 (14.2.0-3) unstable; urgency=medium

  * Update to git 20240817 from the gcc-14 branch.
    - Fix PR target/85624 (AVR), PR target/115464 (AArch64),
      PR target/116174 (x86), PR c++/116327, PR c++/104981, PR c++/115550.
    - s390: Fix high-level builtins vec_gfmsum{,_accum}_128. LP: #2075567.
  * Don't build gccrs on the Hurd.
  * Disable building gnat on hurd-amd64, until it gets bootstrapped.
  * Don't run dwz on hurd-*.
  * Update symbols files for libasan, libgccjit, libstdc++ and libgphobos.
    Closes: #1077492.

 -- Matthias Klose <doko@debian.org>  Sun, 18 Aug 2024 19:10:28 +0200

gcc-14 (14.2.0-2ubuntu1) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 11 Aug 2024 04:00:40 +0200

gcc-14 (14.2.0-2) unstable; urgency=medium

  * Update to git 20240811 from the gcc-14 branch.
    - Fix PR target/116287 (x86), PR target/116295 (AVR), PR target/113384 (PA),
      PR tree-optimization/116224, PR target/116189 (SH),
      PR target/116033 (RISCV), PR tree-optimization/116156,
      PR target/116043 (x86), PR target/115981 (x86), PR c++/116223,
      PR c++/112632, PR c++/116071, PR c++/88313, PR c++/115897,
      PR c++/115656, PR c++/115296, PR c++/112288, PR fortran/108889,
      PR target/116007, PR libstdc++/116038, PR libstdc++/115399,
      PR libstdc++/114387, PR libstdc++/115854, PR libstdc++/116070,
      PR libstdc++/116070.
  * Fix two lintian warnings for the control file.
  * Build-depend on pkgconf instead of pkg-config.
  * gnat: Use the GNATBIND/GNATMAKE passed from the toplevel makefile.
    Provide local unversioned symlinks gnatmake and gnatbind for the build.
    Closes: #1078144.

 -- Matthias Klose <doko@debian.org>  Sun, 11 Aug 2024 03:56:24 +0200

gcc-14 (14.2.0-1ubuntu1) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 02 Aug 2024 02:07:48 +0200

gcc-14 (14.2.0-1) unstable; urgency=medium

  * GCC 14.2.0 release.

  * Update to git 20240801 from the gcc-14 branch.
    - Fix PR target/115981 (x86).
  * Show bootstrap compilers in the build log.
  * Configure with --disable-multilib on loong64.
  * Use the versioned gnatbind and gnatmake binaries for the build.
  * Emit the config.log when the configure step fails.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Thu, 01 Aug 2024 17:43:39 +0200

gcc-14 (14.1.0-5ubuntu1) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 19 Jul 2024 12:16:59 +0200

gcc-14 (14.1.0-5) unstable; urgency=medium

  * Update to git 20240719 from the gcc-14 branch.
    - Fix PR c++/115865, PR rtl-optimization/115049, PR target/115351 (x86),
      PR ipa/113787, PR tree-optimization/113673, PR target/115526 (alpha),
      PR middle-end/115887, PR middle-end/115527, PR tree-optimization/115382,
      PR tree-optimization/115868, PR tree-optimization/115841,
      PR tree-optimization/115843, PR tree-optimization/115701,
      PR tree-optimization/115701, PR tree-optimization/115867,
      PR tree-optimization/115843, PR target/115459 (alpha),
      PR target/115554 (RISCV), PR target/115562 (RISCV),
      PR target/113719 (x86), PR target/113719 (x86), PR target/115872,
      PR target/115752 (loongarch), PR target/115840 (RISCV),
      PR target/115611 (ARM), PR middle-end/115836, PR target/113715 (RISCV),
      PR analyzer/114899, PR c++/115476, PR c++/115165, PR c++/111890,
      PR c++/115897, PR c++/106760, PR c++/115754, PR c++/99242, PR c++/99241,
      PR fortran/93635, PR fortran/99798, PR fortran/103312,
      PR libstdc++/113376, PR libstdc++/115522.
  * On loong64, also build-depend on the gdc-14 frontend.
  * Build libitm1 on loong64 and riscv64.
  * Disable running the tests on x32, hanging on the buildds.

 -- Matthias Klose <doko@debian.org>  Fri, 19 Jul 2024 12:09:39 +0200

gcc-14 (14.1.0-4ubuntu2) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Jul 2024 12:32:01 +0200

gcc-14 (14.1.0-4) unstable; urgency=medium

  * Update to git 20240710 from the gcc-14 branch.
    - Fix PR target/115591 (RISCV), PR target/115188 (ARM),
      PR target/87376 (AVR), PR target/115475 (AArch64),
      PR target/115691 (PARISC), PR target/98762 (AVR), PR target/106069 (PPC),
      PR target/115355 (PPC), PR target/114936 (AArch64),
      PR target/88236 (AVR), PR target/115726 (AVR), PR pch/115312,
      PR c/114930, PR c/115502, PR c++/115623, PR fortran/114019,
      PR fortran/55978, PR fortran/115390, PR target/114890 (AArch64),
      PR target/115153 (ARM), PR target/115763 (RISCV),
      PR tree-optimization/115723, PR tree-optimization/115694,
      PR tree-optimization/115669, PR tree-optimization/115646,
      PR fortran/84006, PR fortran/100027, PR fortran/98534, PR fortran/115700,
      PR libstdc++/115807, PR libstdc++/115585.
  * d/p/0009-Ada-select-64-bits-time-functions-from-GNU-libc-when.diff:
    Adjust for the new glibc behaviour of defining __USE_TIME_BITS64 also
    on native 64-bits platforms (Simon Chopin). Addresses: #1074577.
    LP: #2071605.
  * Pass --package-metadata on distros with supporting linkers (starting
    with Debian trixie and Ubuntu noble).
    The package metadata is constructed from the environment variables
    ELF_PACKAGE_METADATA.
    Setting NO_PKG_METADATA=1 disables the generation of the package metadata.
  * Build target libraries with -mbranch-protection=standard to enable PAC/BTI
    support on arm64 (Emanuele Rocca). Addresses: #1055711.
  * Build target libraries with -fno-omit-frame-pointer, when enabled in
    dpkg-buildflags.
  * Strip again the executables.

 -- Matthias Klose <doko@debian.org>  Wed, 10 Jul 2024 12:12:12 +0200

gcc-14 (14.1.0-3ubuntu2) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 30 Jun 2024 17:09:43 +0200

gcc-14 (14.1.0-3) unstable; urgency=medium

  * Update to git 20240630 from the gcc-14 branch.
    - Fix PR tree-optimization/115278, PR target/114846 (PPC),
      PR tree-optimization/115508, PR driver/115440, PR target/115342 (AArch64),
      PR target/106069 (PPC), PR target/115355 (PPC), PR target/114846 (PPC),
      PR c++/115624, PR c/115587, PR c++/115504, PR c++/115198, PR c++/115358,
      PR libstdc++/115668, PR libstdc++/115575, PR libstdc++/115454.
    - Backport a fix for an ICE on riscv64. Closes: #1071140.
  * Fix typo for loong64 build dependencies.
  * Disable running the tests on the Ubuntu arm64 buildds (times out).
  * Starting with Ubuntu 24.10, stop building s390x multilibs.
  * Fix gccrs build dependencies on the Hurd. Closes: #1073830.
  * Drop the sys-auxv-header patch. Closes: #1071555.

 -- Matthias Klose <doko@debian.org>  Sun, 30 Jun 2024 16:27:40 +0200

gcc-14 (14.1.0-2ubuntu1) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 21 Jun 2024 11:39:52 +0200

gcc-14 (14.1.0-2) unstable; urgency=medium

  * Update to git 20240619 from the gcc-14 branch.
    - Fix PR target/109549 (S390), PR target/115253 (ARM),
      PR rtl-optimization/115281, PR target/115353 (ARM),
      PR middle-end/115352, PR tree-optimization/115337, PR middle-end/108789,
      PR target/115324 (PPC), PR rtl-optimization/114902,
      PR rtl-optimization/115092, PR tree-optimization/115307,
      PR target/115297 (alpha), PR tree-optimization/115192,
      PR target/113719 (x86), PR tree-optimization/115149,
      PR tree-optimization/115197, PR tree-optimization/114921,
      PR target/115169 (loongarch), PR tree-optimization/115232,
      PR rtl-optimization/115038, PR tree-optimization/115152,
      PR sanitizer/115172, PR target/115069 (x86), PR tree-optimization/115154,
      PR tree-optimization/115143, PR tree-optimization/114998,
      PR middle-end/114931, PR middle-end/114931, PR ada/114708,
      PR ada/115270, PR c/115290, PR middle-end/114931, PR c/114493,
      PR target/111343 PR c++/115511, PR c++/99678, PR c++/115239,
      PR c++/115283, PR c++/115378, PR c++/115187, PR c++/114868,
      PR c++/105320, PR c++/114275, PR c++/114983, PR libstdc++/107800,
      PR c++/115139, PR c++/115114, PR c++/114994, PR fortran/83865,
      PR fortran/115150, PR fortran/86100, PR fortran/115039,
      PR fortran/114874, PR jit/115442, PR target/115360 (ARM),
      PR target/115065 (AVR), PR libstdc++/115308, PR libstdc++/115247,
      PR libstdc++/114958, PR libstdc++/115335, PR libstdc++/111641,
      PR libstdc++/109849, PR libstdc++/115269, PR libstdc++/114940,
      PR libstdc++/115099, PR libstdc++/115119, PR libstdc++/115015,
      PR libstdc++/115063, PR libstdc++/114891, PR libstdc++/114866.
  * Configure again with --enable-checking=release. Closes: #1072519.
  * On loong64, build-depend on GCC 14 frontends. Closes: #1072635.
  * Build gccrs on x32. Closes: #1072345, #1072327.
  * Don't build Ada on sparc (32bit). Closes: #1072328.

 -- Matthias Klose <doko@debian.org>  Wed, 19 Jun 2024 09:44:29 +0200

gcc-14 (14.1.0-1ubuntu1) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 May 2024 09:37:49 +0200

gcc-14 (14.1.0-1) unstable; urgency=medium

  * GCC 14.1.0 release.
  * Update to git 20240514 from the gcc-14 branch.
    - Fix PR target/114975 (AVR), PR tree-optimization/114965,
      PR middle-end/114907, PR sanitizer/114956, PR tree-optimization/114876,
      PR ipa/92606, PR c++/89224, PR c++/114856, PR c++/114889,
      PR target/69374, PR target/112959, PR target/114968 (x86),
      PR driver/114980, PR c++/114974, PR c++/114901, PR c++/114903,
      PR fortran/114827, PR target/114981 (AVR).

  [ Nicolas Boulenguez ]
  * Improve the ada-lib-info-source-date-epoch patch.
  * Ada: remove duplicate unused patches
  * ada-749574.diff: update and apply again.
  * Refresh the autogen part of ada-{armel-libatomic,link-lib}.diff.
  * Ada: fix a typo in patch for PR ada/114065 breaking the build on hurd.

  [ Matthias Klose ]
  * Refresh patches.
  * Update NEWS files.
  * gcc-14: Depend on cpp-14, lost with the -for-build/-for-host changes.
  * Run the tests again during the build.
  * Turn on again PGO and LTO builds.

 -- Matthias Klose <doko@debian.org>  Tue, 14 May 2024 09:22:26 +0200

gcc-14 (14-20240429-1ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 29 Apr 2024 11:23:43 +0200

gcc-14 (14-20240429-1) unstable; urgency=medium

  * Snapshot, taken from the trunk 20240429.

  * Apply proposed patch for PR libquadmath/114533 (Simon Chopin).
    Closes: #1064426. LP: #2052929.
  * Don't build the libstdc++-doc package when the nodoc profile is enabled.
  * Clean up some version restrictions on build-dependencies.
  * Don't set the _FILE_OFFSET_BITS and _TIME_BITS macros, if the
    _DISTRO_EVADE_TIME_BITS macro is defined.
    See https://sourceware.org/bugzilla/show_bug.cgi?id=31624.
  * Build-depend on amdgcn-tools-18, required for new gcn offload targets.
  * Package the new gfx1030, gfx1036, gfx1100 and gfx1103 offload targets.
    LP: #2060619.
  * rs now requires cargo to bootstrap. Disable building gccrs on architectures
    which don't have cargo.
    Disable gccrs cross compilers. Not working upstream, more constraints
    on rust macros.
  * Build gnat, gdc and gm2 on loong64. Closes: #1069708.
  * Integrate gnat patches from Nicolas:
    - Update the ada-lib-info-source-date-epoch patch.
    - Remove the pr114065-proposed patch.
    - Add patches (v7) from PR ada/114065.  Addresses: #1067453.

 -- Matthias Klose <doko@debian.org>  Mon, 29 Apr 2024 11:15:28 +0200

gcc-14 (14-20240412-0ubuntu1) noble; urgency=medium

  * Snapshot, taken from the trunk 20240412.

  * Apply proposed patch for PR libquadmath/114533 (Simon Chopin).
    Closes: #1064426. LP: #2052929.
  * Don't build the libstdc++-doc package when the nodoc profile is enabled.
  * Clean up some version restrictions on build-dependencies.
  * Don't set the _FILE_OFFSET_BITS and _TIME_BITS macros, if the
    _DISTRO_EVADE_TIME_BITS macro is defined.
    See https://sourceware.org/bugzilla/show_bug.cgi?id=31624.
  * Build-depend on amdgcn-tools-18, required for new gcn offload targets.
  * Package the new gfx1030, gfx1036, gfx1100 and gfx1103 offload targets.
    LP: #2060619.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Apr 2024 14:30:14 +0200

gcc-14 (14-20240330-1ubuntu1) noble; urgency=medium

  * Apply proposed patch for PR libquadmath/114533 (Simon Chopin).
    Closes: #1064426. LP: #2052929.
  * Bump b-d on binutils.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 30 Mar 2024 14:03:10 +0100

gcc-14 (14-20240330-1) unstable; urgency=medium

  * Snapshot, taken from the trunk 20240330.

  * Make vhdl known to the PPC backend.
  * Use the proposed patch to fix PR ada/114064, 64bit definitions for
    time_t_bits type on 32bit archs.
  * Move the _FORTIFY_SOURCE setting from cc1 to the driver.
  * d/p/gcc-distro-defaults: Make -fstack-protector-explicit known.
  * newlib: amdgcn: Implement proper locks, taken from newlib trunk.
  * Refresh patches.
  * Use gcc:SoftVersion for -for-host dependencies (Helmut Grohne).
    Closes: #1067904.

 -- Matthias Klose <doko@debian.org>  Sat, 30 Mar 2024 13:27:56 +0100

gcc-14 (14-20240315-1ubuntu1) noble; urgency=medium

  * Snapshot, taken from the trunk 20240315.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Mar 2024 20:39:31 +0100

gcc-14 (14-20240315-1) unstable; urgency=medium

  * Snapshot, taken from the trunk 20240315.

  * Fix installation of the amdgcn offload compiler. Closes: #1065458.
  * Fix installation of the nvptx offload compiler. Closes: #1065599.
  * Add loong64 bits for the gcc-multilib-multiarch patch. Closes: #1061371.
  * Enable Modula-2 on the Hurd (Samuel Thibault). Closes: #1066932.

 -- Matthias Klose <doko@debian.org>  Fri, 15 Mar 2024 20:35:12 +0100

gcc-14 (14-20240303-1ubuntu1) noble; urgency=medium

  * Snapshot, taken from the trunk 20240303.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 03 Mar 2024 14:52:02 +0100

gcc-14 (14-20240303-1) unstable; urgency=medium

  * Snapshot, taken from the trunk 20240303.
  * Build without gdb for now.

 -- Matthias Klose <doko@debian.org>  Sun, 03 Mar 2024 11:40:51 +0100

gcc-14 (14-20240221-2.1ubuntu1) noble; urgency=medium

  * Build with the release pocket only.
  * Disable bootstrap builds for a quick & dirty build.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 28 Feb 2024 01:12:16 +0100

gcc-14 (14-20240221-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable to start the 64-bit time_t transition.

 -- Steve Langasek <vorlon@debian.org>  Mon, 26 Feb 2024 21:41:05 +0000

gcc-14 (14-20240221-2ubuntu1) noble; urgency=medium

  * Snapshot, taken from the trunk 20240121.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 Feb 2024 04:16:11 +0100

gcc-14 (14-20240221-2) experimental; urgency=medium

  * libgnat: Use Long_Long_Integer'Size for the definition of time_t_bits
    for 32bit architectures using time_t64.

 -- Matthias Klose <doko@debian.org>  Thu, 22 Feb 2024 04:12:32 +0100

gcc-14 (14-20240221-1) experimental; urgency=medium

  * Snapshot, taken from the trunk 20240221.

  * Proposed fix for PR d/113772.
  * Fix disabling go and m2 according to OS (Samuel Thibault). Closes: #1063643.
  * Pass -D_TIME_BITS=64 together with -D_FILE_OFFSET_BITS=64 by default
    on the 32bit architectures armel, armhf, hppa, m68k, mips, mipsel,
    powerpc (-m32 only) and sh4.
  * PR libstdc++/99832, std::chrono::system_clock::{from,to}_time_t:
    Add ABI tag for timet64.
  * Fix libsanitizer build with _TIME_BITS set.

 -- Matthias Klose <doko@debian.org>  Thu, 22 Feb 2024 00:27:13 +0100

gcc-14 (14-20240207-1) experimental; urgency=medium

  * Snapshot, taken from the trunk 20240207.

  * Enable sanitizer packages for loong64.
  * Build libubsan1 for riscv64.
  * Apply proposed patch for PR target/113720 (alpha).
  * Drop the libgo-soname patch, use the bumped libgo upstream soname.
  * Apply proposed patch for PR middle-end/113731.

 -- Matthias Klose <doko@debian.org>  Wed, 07 Feb 2024 05:39:32 +0100

gcc-14 (14-20240201-3ubuntu1) noble; urgency=medium

  * Snapshot, taken from the trunk 20240201.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Feb 2024 23:02:01 +0100

gcc-14 (14-20240201-3) unstable; urgency=medium

  * Fix PR middle-end/113705 (ftbfs on arm64). Closes: #1062535.

 -- Matthias Klose <doko@debian.org>  Thu, 01 Feb 2024 22:53:33 +0100

gcc-14 (14-20240201-2) unstable; urgency=medium

  * Snapshot, taken from the trunk 20240201.

  * Add more dependencies for -for-build and -for-host packages.
  * For Ubuntu, only define _FORTIFY_SOURCE, if there are no options
    -U_FORTIFY_SOURCE or -D_FORTIFY_SOURCE=N given.
  * Update libgcc-s symbols files.

 -- Matthias Klose <doko@debian.org>  Thu, 01 Feb 2024 14:11:28 +0100

gcc-14 (14-20240131-1) unstable; urgency=medium

  * Snapshot, taken from the trunk 20240131.

  [ Matthias Klose ]
  * Fix and add dependencies for -for-build and -for-host packages.
  * Add conflict to libgccjit-13-doc. Closes: #1061647.
  * Fix some -for-{build,host} package descriptions. Closes: #1061670.
  * Correct conflicts with old gnat-N versions. Addresses: #1061648.
  * Apply proposed patch for PR target/113336 (ARM). Closes: #1061370.
  * Build again gnat and gcc on armel.

  [ Aurelien Jarno ]
  * Update libasan8 symbols for riscv64.
  * Update liblsan0 symbols for riscv64.

 -- Matthias Klose <doko@debian.org>  Wed, 31 Jan 2024 10:40:26 +0100

gcc-14 (14-20240127-1) unstable; urgency=medium

  * Snapshot, taken from the trunk 20240127.
  * Disable the gccgo build on armel for now. See #1061370.

 -- Matthias Klose <doko@debian.org>  Sat, 27 Jan 2024 09:51:04 +0100

gcc-14 (14-20240126-2) unstable; urgency=medium

  * Update libgccjit symbols file.
  * Bump autopkg test dependencies to GCC 14.
  * Try harder to disable ada on armel.

 -- Matthias Klose <doko@debian.org>  Fri, 26 Jan 2024 15:05:36 +0100

gcc-14 (14-20240126-1) unstable; urgency=medium

  * Snapshot, taken from the trunk 20240126.
  * Don't define <lang>_no_archs macros directly.
  * Add missing libstdc++-{dbg,doc} conflicts. Closes: #1061345.
  * Fix gm2-14 package description. Closes: #1061372.
  * Re-add conflicts for gnat packages.
  * Disable the ada build on armel for now. See #1061370.

 -- Matthias Klose <doko@debian.org>  Fri, 26 Jan 2024 12:42:52 +0100

gcc-14 (14-20240121-1ubuntu1) noble; urgency=medium

  * Snapshot, taken from the trunk 20240121.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 21 Jan 2024 09:35:13 +0100

gcc-14 (14-20240121-1) experimental; urgency=medium

  * Snapshot, taken from the trunk 20240121.

  [ Matthias Klose ]
  * Update symbols files.
  * Refresh patches.
  * Drop KFreeBSD patches.
  * Drop the KFreeBSD build support.
  * Bump debhelper to v11.
  * Configure with --disable-s390-excess-float-precision for sid/trixie and
    Ubuntu noble (24.04 LTS).
  * Update the gcc-as-needed patch for loong64. Addresses: #1054469.
  * Remove the support to build ARM sf/hf multilib packages.
  * Update the variants for the amdgcn offload compiler.
  * Remove references to obsolete CPUs m32r and tilegx.
  * Add changes for hurd-amd64 (Samuel Thibault). Addresses: #1057004.
  * Don't build-depend on gdb on hurd-amd64 for now.
  * Remove the packaging bits to build gdc as a separate source package.
  * Remove the packaging bits to build gccgo as a separate source package.
  * Build the nvptx offload compiler on arm64.
  * Don't strip executables for the prerelease uploads.
  * Disable LTO builds on hurd-amd64.
  * Configure with --enable-checking=yes,extra,rtl for now.
  * Bump libgm2 soname.
  * Add support to build from a combined binutils/GCC tree.
  * Use DEB_BUILD_OPTIONS='... gcc-ice=nodump,norepro' for turning off dumping
    the preprocessed source to stdout. Addresses: #1057635.
  * Set DEB_BUILD_OPTIONS='... gcc-ice=nodump,norepro' when running the
    testsuite.
  * Default to pie on loong64. Addresses: #1057433.
  * Bump the libphobos soname to distinguish from GCC 13 (local patch)
  * Bump the libgo soname to distinguish from GCC 13 (local patch)
  * For Ubuntu 24.04 LTS and later, switch _FORTIFY_SOURCE to 3 by default
    instead of 2 when optimization is enabled. LP: #2012440.
  * Use "arch" macros instead of "cpu" macros for control file generation.
  * Set {go,m2,rs}_no_archs macros for the generation of the control file.
  * Remove trailing whitespace in control file.
  * Build Enable LSan and TSan packages for riscv64.
  * Remove empty directory in the snapshot package. Addresses: #1060080.
  * Disable the LTO build on mips64el (requested by YunQiang Su).
  * Configure with --enable-libstdcxx-backtrace. LP: #2048233.
  * Update the testsuite-hardening patches, and apply them again.
  * Fall-back to the host crypt.h for the target, required by cross builds.
    See: #1014375.
  * Build again gccrs.
  * Update newlib to 4.4.0.20231231.
  * Remove the support to create i586 symlinks on i386 and hurd-i386.
  * Mark *-N-for-{build,host} packages as dependency packages.
  * Don't include -Xliblto_plugin.so for dh_fixperms call.
  * debian/copyright: Update copyright years, add libgm2 and libgrust.

  [ Nicolas Boulenguez ]
  * Ada: Actually install README.gnat to the gnat-X package.
  * Ada: Remove a duplicate conditional on with_separate_gnat.
  * Ada: Stop installing unversioned symlinks to the shared libgnat.
  * Ada: Stop installing the /usr/bin/gnatgcc symbolic link.
  * Ada: Remove unversioned symbolic links to gnat tools.
  * Ada: Remove the conflict between gnat-14 and previous versions.
  * Ada: Stop searching gnatgcc in build dependencies.
  * Ada: Remove the with_separate_gnat Make variable.
  * Ada: Remove all stuff conditioned by PKGSOURCE=gnat.

  [ Helmut Grohne ]
  * Add loong64 to any_archs.
  * Always issue a build-dependency on debhelper.
  * For cross toolchain builds, add a build dependency on target binutils.
  * For cross toolchain builds, add build dependencies on the Ada, D and
    Modula-2 frontends.
  * Remove redundant sections and priorities for non-tools in the control file.
  * Remove redundant sections and priorities for tools in the control file.
  * Add support code for gcc-for-host.
    - control.m4 macro for_each_arch iterates over all known architectures and
      substitutes arch_deb (the Debian architecture name), arch_gnu (the GNU
      triplet) and arch_gnusuffix (a package name suffix encoding the
      architecture) variables.
    - The substitution variable target:suffix can be used to interpolate the
      current target architecture suffix for dependencies from the regular
      tool packages on architecture-qualified tool packages.
  * Build $triplet packages:
    {cpp,gcc,g++,gfortran,gdc,gobjc,gobjc++,gccgo,gnat,gm2,gccrs}-14-$triplet
  * Use cross_gencontrol for *-for-host packages.
  * libgcc-s[124]: move libgcc_s.so.? to /usr for DEP17. Addresses: #1060001.
  * Add packages {cpp,gcc,g++,gfortran,gdc,gobjc,gobjc++}-N-for-{build,host}.
  * Add packages {gccgo,gnat,gm2,gccrs}-N-for-{build,host}.
  * Restrict $tool-$v-$triplet packages via ${tool}_no_archs.

 -- Matthias Klose <doko@debian.org>  Sun, 21 Jan 2024 07:38:02 +0100

gcc-13 (13.2.0-5) unstable; urgency=medium

  * Update to git 20231005 from the gcc-13 branch.
    - Fix PR tree-optimization/111331, PR tree-optimization/110386,
      PR target/111121 (AArch64), PR tree-optimization/110315,
      PR target/111411 (AArch64), PR target/111412 (riscv),
      PR ada/110488, PR c++/111493, PR c++/111485, PR c++/99631,
      PR c++/111471, PR fortran/37336, PR fortran/111674, PR fortran/92586,
      PR fortran/68155, PR modula2/111510, PR libstdc++/111050,
      PR libstdc++/111102, PR libstdc++/108046, PR libstdc++/111511,
      PR c++/111512, PR c++/111357.
  * Provide symlinks for the shared Modula-2 runtime libraries in
    the private gcc library directory. Closes: #1052008.
  * Install the static Modula-2 libraries.
  * Add autopkg test for Modula-2.
  * Don't assume that hppa64-linux-gnu has the sys/mman.h header,
    use the fallback for libgcov.
  * Update the libquadmath portions of the copyright file. Closes: #1052314.

 -- Matthias Klose <doko@debian.org>  Thu, 14 Dec 2023 18:38:37 +0100

gcc-13 (13.2.0-4ubuntu3) mantic; urgency=medium

  * Cherry-pick from the branch (backported together with CVE-2023-4039 fixes):
    - Fix PR target/111411 (AArch64): Fix loose ldpstp check.
    - Fix return register handling in untyped_call (AArch64).
  * Ignore failing libgm2-link autopkg test on armhf. See PR/modula-2 111510.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 24 Sep 2023 10:44:53 +0200

gcc-13 (13.2.0-4ubuntu2) mantic; urgency=medium

  * Provide symlinks for the shared Modula-2 runtime libraries in
    the private gcc library directory. Closes: #1052008.
  * Install the static Modula-2 libraries.
  * Add autopkg test for Modula-2.
  * Don't assume that hppa64-linux-gnu has the sys/mman.h header,
    use the fallback for libgcov.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Sep 2023 04:06:03 +0200

gcc-13 (13.2.0-4ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Sep 2023 13:28:29 +0200

gcc-13 (13.2.0-4) unstable; urgency=medium

  * Update to git 20230913 from the gcc-13 branch.
    - Fix PR target/96762 (PPC), PR target/111340 (x86),
      PR target/111306 (x86), PR target/111335 (x86),
      PR modula2/111330.
    - Address stack protector and stack clash protection weaknesses
      on AArch64. CVE-2023-4039.

  [ Matthias Klose ]
  * Fix PR fortran/88552, taken from the trunk. LP: #1842164.

  [ Aurelien Jarno ]
  * Update libasan8 symbols for riscv64.

 -- Matthias Klose <doko@debian.org>  Wed, 13 Sep 2023 13:17:34 +0200

gcc-13 (13.2.0-3ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Sep 2023 12:06:46 +0200

gcc-13 (13.2.0-3) unstable; urgency=medium

  * Update to git 20230902 from the gcc-13 branch.
    - Fix PR target/111127 (x86), PR middle-end/111017 (x86),
      PR tree-optimization/111070, PR tree-optimization/111039,
      PR tree-optimization/111019, PR tree-optimization/110702,
      PR tree-optimization/111109, PR debug/111080, PR target/111010 (x86),
      PR c++/106652, PR c++/110927, PR c++/109678, PR c++/106310,
      PR fortran/87477, PR modula2/110779, PR modula2/108119,
      PR libgcc/110956, PR middle-end/111017, PR libstdc++/110860,
      PR libstdc++/110990, PR libstdc++/110970, PR libstdc++/110974,
      PR libstdc++/110968, PR target/110484 (loong64),
      PR tree-optimization/110914, PR tree-optimization/111015,
      PR target/109725 (riscv), PR c++/109751, PR c++/92407.

  [ Aurelien Jarno ]
  * Fix PR target/110066 (RISCV), taken from the trunk.

  [ Matthias Klose ]
  * Remove test protocols in clean target. Addresses: #1044154.
  * Disable Ada, Go, D, Modula-2 frontends on loong64.

  [ Nicolas Boulenguez ]
  * Ada: deprecate the gnatgcc symbolic link.
  * Ada: move README.gnat to debian/ada/.
  * Ada: remove the obsolete acats-killer script.
  * Ada: let gnat-BV provide a versioned virtual package.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Sep 2023 11:39:47 +0200

gcc-13 (13.2.0-2ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Aug 2023 06:09:08 +0200

gcc-13 (13.2.0-2) unstable; urgency=medium

  * Update to git 20230810 from the gcc-13 branch.
    - Fix PR target/110220 (AVR), PR target/110741 (PPC),
      PR target/109713 (RISCV), PR target/89835 (RISCV),
      PR tree-optimization/110280, PR modula2/110125, PR c++/110197,
      PR c++/110566, PR c++/108179, PR fortran/109684, PR fortran/110825,
      PR fortran/108961, PR modula2/110779, PR modula2/110161,
      PR modula2/110865, PR modula2/110284, PR modula2/110174,
      PR modula2/110631, PR modula2/110125, PR libstdc++/110860,
      PR libstdc++/110917, PR libstdc++/110862.
  * Stop building 32bit liblsan packages, where gcc-13 is not part of
    the distro. Closes: #1042482.
  * Update sanitizer symbols files.
  * Address some lintian warnings:
    - Be quiet about libstdc++-doc manpages.
    - Don't complain about unstripped sanitizer libraries.
  * Correct debhelper to mess up permissions in /usr/libexec.
  * Strip again the executables.

 -- Matthias Klose <doko@debian.org>  Thu, 10 Aug 2023 05:49:00 +0200

gcc-13 (13.2.0-1ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 30 Jul 2023 07:14:58 +0200

gcc-13 (13.2.0-1) unstable; urgency=medium

  * GCC 13.2.0 release.
  * Update to git 20230730 from the gcc-13 branch.
    - Fix PR tree-optimization/110755, PR tree-optimization/110799,
      PR tree-optimization/110766, PR c++/110809, PR modula2/109952,
      PR modula2/109952, PR modula2/109586.

  [ Nicolas Boulenguez ]
  * autopkgtests: compute GCC version, reuse AUTOPKGTEST_TMP

  [Matthias Klose]
  * Stop building gccrs, not ready yet for GCC 13.2, and probably
    won't be backported to GCC 13 at all.  Just keep it building
    for Ubuntu 23.04, where it cannot be removed from the release pocket.
  * gcc-13-doc: Fix installation of the libitm info file. LP: #1936394.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Sun, 30 Jul 2023 07:04:14 +0200

gcc-13 (13.1.0-9ubuntu2) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Jul 2023 13:53:07 +0200

gcc-13 (13.1.0-9) unstable; urgency=medium

  * Update to git 20230720 from the gcc-13 branch (13.2 release candidate).
    - Fix PR tree-optimization/110731, PR tree-optimization/110669,
      PR target/110206, PR target/101469 (SH), PR target/106966 (alpha),
      PR c++/110535, PR c++/110122, PR c++/110524, PR fortran/95947,
      PR fortran/110658, PR fortran/110288, PR libgcc/110179, PR libgcc/109712,
      PR libstdc++/109921, PR libstdc++/110432, PR libstdc++/110542,
      PR libstdc++/110574, PR libstdc++/95048.
  * Update libstdc++ symbols file for ppc64el.
  * Update patches for backports.
  * libgccjit-13-doc: Relax dependency on the gcc-13-base package.
  * Fix some lintian warnings.

 -- Matthias Klose <doko@debian.org>  Thu, 20 Jul 2023 13:37:42 +0200

gcc-13 (13.1.0-8ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Jul 2023 10:28:29 +0200

gcc-13 (13.1.0-8) unstable; urgency=medium

  * Update to git 20230711 from the gcc-13 branch.
    - Fix PR tree-optimization/110557, PR c++/110595,
      PR tree-optimization/110556, PR tree-optimization/110515,
      PR tree-optimization/110392, PR tree-optimization/110381,
      PR target/110560 (RISCV), PR target/105325 (PPC),
      PR tree-optimization/110228, PR c++/110468, PR c++/110463,
      PR d/108842, PR d/110516, PR d/110514, PR d/110471, PR fortran/110585,
      PR testsuite/108835, PR d/103944, PR libstdc++/104299.
  * Apply proposed patch for PR target/106966. Addresses: #1019011.

 -- Matthias Klose <doko@debian.org>  Tue, 11 Jul 2023 10:25:56 +0200

gcc-13 (13.1.0-7ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 30 Jun 2023 17:42:41 +0200

gcc-13 (13.1.0-7) unstable; urgency=medium

  * Update to git 20230630 from the gcc-13 branch.
    - Fix PR tree-optimization/110298, PR debug/110295, PR middle-end/110055,
      PR ipa/109983, PR tree-optimization/109143, PR target/110132 (AArch64),
      PR target/110100 (AArch64), PR target/110100 (AArch64),
      PR target/109932 (PPC), PR target/110011 (PPC), PR c++/110102,
      PR c++/109247, PR rtl-optimization/110237, PR target/110309 (x86),
      PR testsuite/66005, PR middle-end/110420, PR middle-end/103979,
      PR middle-end/98619, PR ipa/110276,
      PR target/110264 (RISCV, closes: #1038774), PR d/106977,
      PR target/110406, PR d/110359, PR d/110113, PR fortran/86277,
      PR libstdc++/110239, PR libstdc++/110149, PR libstdc++/109741,
      PR libstdc++/100285.

  [ Nicolas Boulenguez ]
  * ada/check_ali_update.sh: report checksum changes but ignore timestamps

  [Matthias Klose]
  * Fix PR tree-optimization/110280, taken from the trunk. Closes: #1038768.

 -- Matthias Klose <doko@debian.org>  Fri, 30 Jun 2023 14:36:39 +0200

gcc-13 (13.1.0-6ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 18 Jun 2023 09:45:32 +0200

gcc-13 (13.1.0-6) unstable; urgency=medium

  * Update to git 20230617 from the gcc-13 branch.
    - Fix PR target/110136 (loongarch), PR target/110227 (X86),
      PR middle-end/110200.
  * Ignore gccrs bootstrap comparison failures on mipsel.
  * Remove obsolete gcn assembler patch.
  * Mark libgcc-sN packages as protected/important for newer releases.
  * Apply proposed patch for PR ipa/110276. Closes: #1037640.

 -- Matthias Klose <doko@debian.org>  Sat, 17 Jun 2023 11:34:12 +0200

gcc-13 (13.1.0-5ubuntu1) mantic; urgency=medium

  * Update to git 20230613 from the gcc-13 branch.
    - Fix PR middle-end/110200.
  * Ignore gccrs bootstrap comparison failures on mipsel.
  * Remove obsolete gcn assembler patch.
  * Mark libgcc-sN packages as protected/important for newer releases.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 13 Jun 2023 09:54:20 +0200

gcc-13 (13.1.0-5) unstable; urgency=medium

  * Re-enable building gccrs.

 -- Matthias Klose <doko@debian.org>  Sun, 11 Jun 2023 17:12:06 +0200

gcc-13 (13.1.0-4) unstable; urgency=medium

  * Update to git 20230611 from the gcc-13 branch.
    - Fix PR target/109650 (AVR), PR target/92729 (AVR),
      PR tree-optimization/110165, PR tree-optimization/110166,
      PR target/110044 (PPC), PR target/110108 (X86), PR target/109939 (ARM),
      PR target/106907 (PPC), PR target/109800 (ARM), PR bootstrap/110085,
      PR target/110088 (AVR), PR target/109954 (X86), PR target/110036 (RISCV),
      PR target/109547 (RISCV), PR target/104327 (AVR), PR target/82931 (AVR),
      PR tree-optimization/109505, PR target/105753 (AVR), PR fortran/96024,
      PR fortran/100607, PR libgcc/109670, PR libgcc/109685,
      PR libstdc++/108178, PR libstdc++/110139, PR libstdc++/109758,
      PR libstdc++/109822, PR libstdc++/109261, PR libstdc++/109949,
      PR libstdc++/109261.
  * Configure --with-cpu=ev56 instead of --with-arch=ev56 for alpha.
  * Also provide the liblto_plugin.so symlink in the old place.
    Closes: #1036566.

 -- Matthias Klose <doko@debian.org>  Sun, 11 Jun 2023 13:48:04 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog gcc-14-x86-64-linux-gnu-base`.
